Organization

get

Return all existing roles in the organization

🔒 Requires the read:organization permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

All existing roles

application/json

All existing roles

idstringRequired

The role ID

Example: rol_abCdeFghIjklMnmP
namestringRequired

The role name

Example: Admin
descriptionstringRequired

The role description

Example: Role for managing Admin permissions
get
/api/v1/organization/roles
get

Return information about current organization

🔒 Requires the read:organization permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Information about organization

application/json

Information about organization

idstringRequired

The organization ID

Example: org_abCdeFghIjklMnmP
namestringRequired

The organization slug, provided by Bluebricks, cannot be changed

Example: acme-corp
display_namestringRequired

The organization display name, can be changed

Example: ACME Corp.
is_trialbooleanOptional

The organization trial status

Example: true
created_atstring · date-timeOptional

The organization creation date

Example: 2021-01-01T00:00:00Z
trial_startedstring · date-timeOptional

The organization trial start date

Example: 2021-01-01T00:00:00Z
get
/api/v1/organization
patch

Update current organization

🔒 Requires the update:organization permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringOptional

The organization slug, provided by Bluebricks, cannot be changed

Example: acme-corp
display_namestringOptional

The organization display name, can be changed

Example: ACME Corp.
Responses
chevron-right
200

Updated information about organization

application/json

Updated information about organization

idstringRequired

The organization ID

Example: org_abCdeFghIjklMnmP
namestringRequired

The organization slug, provided by Bluebricks, cannot be changed

Example: acme-corp
display_namestringRequired

The organization display name, can be changed

Example: ACME Corp.
is_trialbooleanOptional

The organization trial status

Example: true
created_atstring · date-timeOptional

The organization creation date

Example: 2021-01-01T00:00:00Z
trial_startedstring · date-timeOptional

The organization trial start date

Example: 2021-01-01T00:00:00Z
patch
/api/v1/organization
get

Return members of current organization

🔒 Requires the read:users permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitnumberOptional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
filterstringOptional

Structure: [key1=value1,key2=value2&value3]

searchstringOptional

Enables searching within the list for members that match a particular query. e.g. john

Responses
chevron-right
200

List of organization members

application/json

List of organization members

totalnumberRequired
get
/api/v1/organization/members
post

Invite new members current organization

🔒 Requires the create:users permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
chevron-right
200

Invite details

application/json

Invite details

post
/api/v1/organization/members
delete

Remove member from current organization

🔒 Requires the delete:users permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
memberIdstringRequired

The user's unique ID e.g. prov0|1234567890

Example: prov0|1234567890
Responses
chevron-right
200

Status of remove request

application/json

Status of remove request

statusundefined · enumRequiredPossible values:
delete
/api/v1/organization/members/{memberId}
get

Return public encryption keys for the organization to encrypt secrets

🔒 Requires the read:organization permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Public key data

application/json

Public key data

public_keystringRequired

PEM-formatted RSA public key (minimum 2048 bits)

Example: -----BEGIN PUBLIC KEY----- MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA... -----END PUBLIC KEY-----
get
/api/v1/public-keys
post

Create and store managed public key for the organization to encrypt secrets

🔒 Requires the update:organization permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
public_keystringRequired

PEM-formatted RSA public key (minimum 2048 bits)

Example: -----BEGIN PUBLIC KEY----- MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA... -----END PUBLIC KEY-----
key_identifierstringRequired

Cloud provider key identifier (AWS KMS ARN, Azure Key Vault URI, or GCP KMS resource name)

Example: arn:aws:kms:us-east-1:123456789012:key/12345678-1234-1234-1234-123456789012
Responses
chevron-right
200

Successfully created public key

application/json

Successfully created public key

public_keystringRequired

PEM-formatted RSA public key (minimum 2048 bits)

Example: -----BEGIN PUBLIC KEY----- MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA... -----END PUBLIC KEY-----
key_identifierstringRequired

Cloud provider key identifier (AWS KMS ARN, Azure Key Vault URI, or GCP KMS resource name)

Example: arn:aws:kms:us-east-1:123456789012:key/12345678-1234-1234-1234-123456789012
created_atstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

post
/api/v1/public-keys

Last updated

Was this helpful?